Get Deployment
GET
/api/v1/deployments/{name}
const url = 'https://aura.strangeworks.com/api/v1/deployments/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://aura.strangeworks.com/api/v1/deployments/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”name
required
Name
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
DeploymentResponse
object
created_at
required
Created At
string format: date-time
handle
required
Handle
string
id
required
Id
string
name
required
Name
string
updated_at
required
Updated At
string format: date-time
Examplegenerated
{ "created_at": "2026-04-15T12:00:00Z", "handle": "example", "id": "example", "name": "example", "updated_at": "2026-04-15T12:00:00Z"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}